
bohrungsoffset = 0.5;
dMutter = 22;
dRingabsatz=dMutter - 4;
dAussen=dMutter + 2*3;
hMutter=20;
hAbsatz=2.5; //Über Mutter
hGesamt=hMutter + hAbsatz;
dM3=3.2;
dM4=4.2;
hoeheBohrung = hAbsatz + dM3+2;
M3_Schluesselweite=5.5;
M3_Spitzenweite=6.08;
M3_dicke =  2.4; //Dicke der Mutter
xBlk = 11; //Schraubblock
yBlk = 11; //Schraubblock

dSchraubeProfil = 5.2;
fnSmall = 18;
fnBig=72;
plattendicke=3;

GabelOeffnung=15 + bohrungsoffset;

//Draw a prism based on a 
//right angled triangle
//l - length of prism
//w - width of triangle
//h - height of triangle
module prism(l, w, h) {
	translate([0, l, 0]) rotate( a= [90, 0, 0]) 
	linear_extrude(height = l) polygon(points = [
		[0, 0],
		[w, 0],
		[0, h]
	], paths=[[0,1,2,0]]);
}

//prism(5, 3, 2);


	*difference(){
		union(){
			color("red")
			cylinder(d=dAussen+bohrungsoffset, h=hAbsatz + hMutter, $fn=fnBig);
			color("green")
			translate([-14/2, 0, 0])
			cube([14,dAussen/2 + 8,  6+hoeheBohrung]);

			color("cyan")
			rotate([0,0,20])
			translate([dAussen/2-4, 0, 0])
			difference(){
				translate([0, -yBlk/2, 0])
				cube([xBlk, yBlk, hGesamt]);
				translate([xBlk-dM3*1.5, 0, -0.1])
				cylinder(d=dM3+bohrungsoffset, h=99, $fn=fnSmall);
		   }	
			color("orange")
			rotate([0,0,-180+20])
			translate([dAussen/2-4, 0, 0])
			difference(){
				translate([0, -yBlk/2, 0])
				cube([xBlk, yBlk, hGesamt]);
				translate([xBlk-dM3*1.5, 0, -0.1])
				cylinder(d=dM3+bohrungsoffset, h=99, $fn=fnSmall);
		   }	
		}
		translate([0, 0, -1])
		cylinder(d=dRingabsatz+bohrungsoffset, h=99, $fn=fnBig);

		translate([0, 0, hAbsatz])
		cylinder(d=dMutter+bohrungsoffset, h=99, $fn=fnBig);

		color("blue") //Schlitz für M3 Mutter
		translate([-3, dAussen/2 , -0.1])
		cube([M3_Schluesselweite + bohrungsoffset, 3, hoeheBohrung + M3_Spitzenweite/2 + bohrungsoffset]);

		//Bohrung für M3 Schraube
		translate([0, 0, hoeheBohrung])
		rotate([-90,0,0])
		cylinder(d=dM3+bohrungsoffset, h=99, $fn=fnSmall);
	}

//Gabel oben
stegbreite=24;
steglaenge=68;
stegdicke=5;
stegDickeHinten=5+5;
gabel=15+bohrungsoffset;
color("magenta") 
rotate([180,0,0])
difference(){
		union(){
			translate([-22, -stegbreite/2, 0])
			cube([steglaenge,stegbreite,stegdicke]);
			translate([25, -stegbreite/2, -stegdicke])
			cube([20.7,stegbreite,stegDickeHinten]);
		}
		rotate([0,0,0])
			translate([dAussen/2-4, 0, -44])
			translate([xBlk-dM3*1.5, 0, -44])
			cylinder(d=dM4+bohrungsoffset, h=99, $fn=fnSmall);
		rotate([0,0,0-180])
			translate([dAussen/2-4, 0, -44])
			translate([xBlk-dM3*1.5, 0, -0.1])
			cylinder(d=dM4+bohrungsoffset, h=99, $fn=fnSmall);
		translate([0, 0, -0.1])
		cylinder(d=10, h=99, $fn=fnSmall);
	hull(){
		translate([36.7, 0, -44])
		cylinder(d=gabel, h=99, $fn=fnSmall);
		translate([36.7+10, 0, -44])
		cylinder(d=gabel, h=99, $fn=fnSmall);
	}
	//Seitenausschnitt
	translate([18, 16, -0.1])
		cylinder(d=16, h=99, $fn=fnSmall);
	//Enden abschrägen
	color("green")
	translate([-15,-28 , 0])
	rotate([0,0,70])
	cube([40,40,20], center=true);
	translate([-15,28 , 0])
	rotate([0,0,20])
	cube([40,40,20], center=true);
}

//Gabel uhten
*color("green") 
difference(){
		translate([-22, -stegbreite/2, 0])
		cube([steglaenge,stegbreite,stegdicke]);
		rotate([0,0,0])
			translate([dAussen/2-4, 0, -44])
			translate([xBlk-dM3*1.5, 0, -0.1])
			cylinder(d=dM4+bohrungsoffset, h=99, $fn=fnSmall);
		rotate([0,0,0-180])
			translate([dAussen/2-4, 0, -44])
			translate([xBlk-dM3*1.5, 0, -0.1])
			cylinder(d=dM4+bohrungsoffset, h=99, $fn=fnSmall);
		translate([0, 0, -0.1])
		cylinder(d=10, h=99, $fn=fnSmall);
	hull(){
		translate([36.7, 0, -0.1])
		cylinder(d=gabel, h=99, $fn=fnSmall);
		translate([36.7+10, 0, -0.1])
		cylinder(d=gabel, h=99, $fn=fnSmall);
	}
	//Seitenausschnitt
	translate([18, 16, -0.1])
		cylinder(d=16, h=99, $fn=fnSmall);
	//Enden abschrägen
	color("green")
	translate([-15,-28 , 0])
	rotate([0,0,70])
	cube([40,40,20], center=true);
	translate([-15,28 , 0])
	rotate([0,0,20])
	cube([40,40,20], center=true);
}

