
bohrungsoffset = 0.5;
halterHoehe = 61;
dSchraubeProfil = 5.2;
fnSmall = 18;
fnBig=72;
KugellagerAussen = 22;
KugellagerHoehe = 7;
profilBreite=27.65;
DickeUnterLager = 40;
BohrungUnterLager = KugellagerAussen - 4;
BohrungDurchBlock = BohrungUnterLager;
HalterTiefe = 27;

AbstandKugellagerZumYRand = 2;
plattendicke=3;

//Draw a prism based on a 
//right angled triangle
//l - length of prism
//w - width of triangle
//h - height of triangle
module prism(l, w, h) {
	translate([0, l, 0]) rotate( a= [90, 0, 0]) 
	linear_extrude(height = l) polygon(points = [
		[0, 0],
		[w, 0],
		[0, h]
	], paths=[[0,1,2,0]]);
}

//prism(5, 3, 2);

module Profilplatte(h, AuflageDicke){
	SpaltStegbreite=5.0;
	SpaltStegTiefe = 0.75;
	profilEbene1Breite=12;
	profilEbene1Tiefe=1.3;
	profilEbene2Breite=16;
	profilEbene2Tiefe=1.3;
	profilBreite=27.65;
	
	translate([0, -AuflageDicke-profilEbene2Tiefe, 0])
	union(){
		translate([- SpaltStegbreite/2, -SpaltStegTiefe-profilEbene1Tiefe, 0])
		cube([SpaltStegbreite, SpaltStegTiefe, h]);
	
		translate([- profilEbene1Breite/2, -profilEbene1Tiefe, 0])
		cube([profilEbene1Breite, profilEbene1Tiefe, h]);

		translate([- profilEbene2Breite/2, 0, 0])
		cube([profilEbene2Breite, profilEbene2Tiefe, h]);
	
		translate([- profilBreite/2, profilEbene1Tiefe, 0])
		cube([profilBreite, AuflageDicke, h]);
	
	}
}


module ProfilEinsatz(h){
	SpaltStegbreite=5.0;
	SpaltStegTiefe = 0.75;
	profilEbene1Breite=12;
	profilEbene1Tiefe=1.3;
	profilEbene2Breite=16;
	profilEbene2Tiefe=1.3;
	profilBreite=27.65;
	
	translate([0, -AuflageDicke-profilEbene2Tiefe, 0])
	union(){
		translate([- SpaltStegbreite/2, -SpaltStegTiefe-profilEbene1Tiefe, 0])
		cube([SpaltStegbreite, SpaltStegTiefe, h]);
	
		translate([- profilEbene1Breite/2, -profilEbene1Tiefe, 0])
		cube([profilEbene1Breite, profilEbene1Tiefe, h]);

		translate([- profilEbene2Breite/2, 0, 0])
		cube([profilEbene2Breite, profilEbene2Tiefe, h]);
	
	}
}


//Testobjekt
//Profilplatte(6, 1);

//----------------Der Halter-----------
	union(){
	difference(){
		union(){
		//Profilplatte(halterHoehe, plattendicke);
			color("magenta")
			translate([-profilBreite/2, 0,0])
			color("blue")
			rotate([90,0,0])
			cube([profilBreite,halterHoehe,plattendicke]);
		
			translate([-profilBreite+2, 0, 0])
			difference(){
				union(){
					color("red")
					translate([0, -plattendicke, 0])
					cube([profilBreite,HalterTiefe/2+plattendicke+6, DickeUnterLager + KugellagerHoehe]);

					translate([KugellagerAussen/2+bohrungsoffset*2+2, HalterTiefe/2+bohrungsoffset, 0])
					cylinder(d=KugellagerAussen+bohrungsoffset+4, h=DickeUnterLager + KugellagerHoehe, $fn=fnBig);

					color("orange")
					translate([profilBreite-8, 0, 0])
					cube([8+8,HalterTiefe+2, 14]); //+2 damit M5x40 passt
				}
				translate([0,HalterTiefe - KugellagerAussen/2 - AbstandKugellagerZumYRand  ,0]){
					translate([profilBreite/2, 0, DickeUnterLager])
					cylinder(d=KugellagerAussen+bohrungsoffset, h=99, $fn=fnBig);
					translate([profilBreite/2, 0, DickeUnterLager-1])
					cylinder(d=BohrungUnterLager+bohrungsoffset, h=99, $fn=fnBig);
					translate([profilBreite/2, 0, -45])
					cylinder(d=BohrungDurchBlock+bohrungsoffset, h=99, $fn=fnBig);
				}
			
			}
		
		}
		hull(){
		translate([0,0,7])
			rotate([90,0,0])
			cylinder(d=dSchraubeProfil+bohrungsoffset, h=99, $fn=fnSmall, center=true);
			translate([4,0,7])
				rotate([90,0,0])
				cylinder(d=dSchraubeProfil+bohrungsoffset, h=99, $fn=fnSmall, center=true);
		}
		hull(){
			translate([0,0,halterHoehe - 7])
				rotate([90,0,0])
				cylinder(d=dSchraubeProfil+bohrungsoffset, h=99, $fn=fnSmall, center=true);
			translate([4,0,halterHoehe - 7])
				rotate([90,0,0])
				cylinder(d=dSchraubeProfil+bohrungsoffset, h=99, $fn=fnSmall, center=true);
		}
	}
		color("cyan")
		translate([-45, 0, profilBreite/2])
		rotate([0,90,0]){
			difference(){
				Profilplatte(25, plattendicke);
				rotate([90,0,0])
		translate([0,10, 0])
	
				cylinder(d=dSchraubeProfil+bohrungsoffset, h=99, $fn=fnSmall, center=true);
			}
		}
	}

//------------------Profileinlage--------------
*translate([25,0, 0]){
difference(){

	rotate ([-90,0,0])
	ProfilEinsatz(halterHoehe);

	translate([0,7,0])
		cylinder(d=dSchraubeProfil+bohrungsoffset, h=99, $fn=fnSmall, center=true);
	translate([0,halterHoehe-7,0])
		cylinder(d=dSchraubeProfil+bohrungsoffset, h=99, $fn=fnSmall, center=true);
}
//translate([0,halterHoehe-7,0])
color("red")
translate([-2.3,7+4,2.0])
cube([4.6,3,3.8]);

translate([-2.3,halterHoehe-7+4,2.0])
cube([4.6,3,3.8]);
}