
bohrungsoffset = 0.5;
halterHoehe = 35;
dSchraubeProfil = 5.2;
fnSmall = 18;
fnBig=72;
KugellagerAussen = 22;
KugellagerHoehe = 7;
profilBreite=27.65;
DickeUnterLager = 11;
BohrungUnterLager = KugellagerAussen - 4;
HalterTiefe = 27;
Dreieckshoehe = 20;
AbstandKugellagerZumYRand = 2;
plattendicke=3;

//Draw a prism based on a 
//right angled triangle
//l - length of prism
//w - width of triangle
//h - height of triangle
module prism(l, w, h) {
	translate([0, l, 0]) rotate( a= [90, 0, 0]) 
	linear_extrude(height = l) polygon(points = [
		[0, 0],
		[w, 0],
		[0, h]
	], paths=[[0,1,2,0]]);
}

//prism(5, 3, 2);

module Profilplatte(h, AuflageDicke){
	SpaltStegbreite=5.0;
	SpaltStegTiefe = 0.75;
	profilEbene1Breite=12;
	profilEbene1Tiefe=1.3;
	profilEbene2Breite=16;
	profilEbene2Tiefe=1.3;
	profilBreite=27.65;
	
	translate([0, -AuflageDicke-profilEbene2Tiefe, 0])
	union(){
		translate([- SpaltStegbreite/2, -SpaltStegTiefe-profilEbene1Tiefe, 0])
		cube([SpaltStegbreite, SpaltStegTiefe, h]);
	
		translate([- profilEbene1Breite/2, -profilEbene1Tiefe, 0])
		cube([profilEbene1Breite, profilEbene1Tiefe, h]);

		translate([- profilEbene2Breite/2, 0, 0])
		cube([profilEbene2Breite, profilEbene2Tiefe, h]);
	
		translate([- profilBreite/2, profilEbene1Tiefe, 0])
		cube([profilBreite, AuflageDicke, h]);
	
	}
}

//Testobjekt
//Profilplatte(6, 1);

//rotate([0,90,0])
	union(){
	color("blue")
	difference(){
		Profilplatte(halterHoehe, plattendicke);
		translate([0,0,7])
			rotate([90,0,0])
			cylinder(d=dSchraubeProfil+bohrungsoffset, h=99, $fn=fnSmall, center=true);
		translate([0,0,halterHoehe - 7])
			rotate([90,0,0])
			cylinder(d=dSchraubeProfil+bohrungsoffset, h=99, $fn=fnSmall, center=true);
	}
	color("magenta")
	translate([-25, 0,0])
	rotate([90,0,0])
	cube([20,18,plattendicke]);

	translate([-profilBreite+2, 0,0 ])
	difference(){
		union(){
			color("red")
			cube([profilBreite+6,HalterTiefe, DickeUnterLager + KugellagerHoehe]);
		}
		translate([0,HalterTiefe - KugellagerAussen/2 - AbstandKugellagerZumYRand  ,0]){
			translate([profilBreite/2, 0, DickeUnterLager])
			cylinder(d=KugellagerAussen+bohrungsoffset, h=99, $fn=fnBig);
			translate([profilBreite/2, 0, DickeUnterLager-1])
			cylinder(d=BohrungUnterLager+bohrungsoffset, h=99, $fn=fnBig);
			translate([profilBreite/2, 0, -45])
			cylinder(d=16, h=99, $fn=fnBig);
		}
		translate([profilBreite-2,0,7])
			rotate([90,0,0])
			cylinder(d=dSchraubeProfil+bohrungsoffset, h=99, $fn=fnSmall, center=true);
	
	}
}
